oracle.pg.common

## Class RDFGraph2PropertyGraphUtils

- java.lang.Object
- - oracle.pg.common.RDFGraph2PropertyGraphUtils

-     public class RDFGraph2PropertyGraphUtils
      extends Object

  This class contains utility functions that are useful for RDF to property graph conversion.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFGraph2PropertyGraphUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `getKeyValueFromLiteral(com.hp.hpl.jena.graph.Node literal)` Canonicalize a literal into a standard format used by the Jena adapter for Oracle NoSQL database, A literal is canonicalized by specifying its language or its canonicalized data-type (if possible, e.g.
    `static String` | `getPWithNSPrefix(com.hp.hpl.jena.graph.Node p, Map<String,String> nameSpaceMap)`
    `static HashMap<String,String>` | `loadMappingsFromConfigurationFile()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFGraph2PropertyGraphUtils

          public RDFGraph2PropertyGraphUtils()

  - ### Method Detail

    - #### getKeyValueFromLiteral

          public static Object getKeyValueFromLiteral(com.hp.hpl.jena.graph.Node literal)

      Canonicalize a literal into a standard format used by the Jena adapter for Oracle NoSQL database, A literal is canonicalized by specifying its language or its canonicalized data-type (if possible, e.g. 1.0 decimal is treated as an integer).
      Parameters:
        `literal` - a `Node` object representing a literal node.
      Returns:
        a `Node` object representing the canonicalized version of the literal with an associated data-type or language.

    - #### getPWithNSPrefix

          public static String getPWithNSPrefix(com.hp.hpl.jena.graph.Node p,
                                Map<String,String> nameSpaceMap)

    - #### loadMappingsFromConfigurationFile

          public static HashMap<String,String> loadMappingsFromConfigurationFile()

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.